Subject: [bug#29625] [PATCH core-updates] Vulkan patch series.

From: Rutger Helling <[email-masked]>
Date: Mon, 18 Dec 2017 13:24:53 +0100

Thanks for clarifying!

I guess this is just a heads-up then that adding python2-mako to 
native-inputs is likely enough to make 17.3.1 work, whenever that comes 
out :).

On 2017-12-18 13:16, Marius Bakke wrote:

> Rutger Helling <[email-masked]> writes:
> 
>> Hey Marius,
>> 
>> Thanks a lot for improving and fixing the patches!
>> 
>> Regarding your questions; when I tried to build the Vulkan drivers on
>> Mesa on i686 it failed to build.
>> I figured it was better to just leave it at x86_86 for now. In a 
>> future
>> core-updates cycle it might be a good idea to start looking into other
>> architectures.
>> 
>> Retroarch won't be affected if your hardware doesn't support Vulkan, 
>> it
>> defaults to OpenGL anyway. It's just a setting you can modify
>> (video_driver).
> 
> OK, thanks for confirming.
> 
>> I also had an unrelated question. I saw that you updated Mesa to 
>> 17.2.7.
>> I'm running 17.3.0 myself right now.
>> Is it customary in Guix to wait for the first point release, or do you
>> want me to send in a patch?
>> It really only consists of updating the version, checksum and adding a
>> native-input python2-mako.
> 
> The Mesa release notes[0] has this blurb when the minor version 
> changes:
> 
> Mesa 17.3.0 is a new development release. People who are concerned with
> stability and reliability should stick with a previous release or wait
> for Mesa 17.3.1.
> 
> Since we will be "stuck" on this Mesa version for some time, I prefer
> sticking to the stable branches.  17.2.7 is also newer than 17.3.0 :-)
> 
> [0] https://www.mesa3d.org/relnotes/17.3.0.html